.right-menu {
    float: right;
    margin-top: 45px;
    margin-right: 5%;
    font-family: Roboto;
    position: absolute;
    right: 0;
    z-index:1040;
    background: transparent;
}

.btn-primary-menu:focus {
    outline: none;
}

.btn-primary-menu {
    color: #161616;
    background-color: transparent;
    border-color: transparent;
    font-size: 17px;
    font-weight: 600;
    z-index: 1040;
    font-family: roboto;
    letter-spacing: .03em;
    outline: none;
}

.btn-primary-menu:hover {
    color: #999;
    background-color: #fff;
    border-color: #fff;
    font-size: 17px;
    font-weight: 600;
    z-index:1040;
    font-family: roboto;
    letter-spacing: .03em;
    outline: none;
}

.modal {
    background-color: rgba(40, 96, 144, 1);
}

.modal-dialog {
    width: 100%;
    margin: 0 auto;
    background-color: rgba(40, 96, 144, 1);
    height: 100vh;
}

.modal-header-menu {
    border: 0px;
    padding: 30% 30px 30px;
}

.menu-t {
    text-align: center;
}

.open-menu-title {
    font-size: 3.8em;
    letter-spacing: .03em;
    line-height: 2em;
    font-weight: 600;
    color: #fff;
    opacity: .3;
}

.open-menu-name {
    font-size: 3.2em;
    letter-spacing: .03em;
    line-height: 2em;
    font-weight: 600;
    color: #fff;
    opacity: .4;
}

.menu-links {
    font-size: 1.5em;
    font-family: roboto;
    font-weight: 500;
    letter-spacing: .03em;
    color: #fff;
    margin-top: 10px;
    text-align: center;
    line-height: 2em;
}

.menu-links:hover {
    color: #999;
    text-decoration: none;
}

.disabled-menu-links {
    pointer-events: none;
    letter-spacing: .03em;
    line-height: 2em;
    font-weight: 500;
    font-size: 1.5em;
    margin-top: 10px;
    color: rgba(255, 255, 255, 0.37);
}

.menu-close {
    float: none;
    font-size: 1.8em;
    font-weight: 100;
    line-height: 1;
    color: #fff;
    text-shadow: 0 0 0 transparent;
    opacity: 1;
    filter: alpha(opacity=20);
    background: transparent;
    border: 0px;
    margin-top: 20px;
    outline: none;
}

.my-modal {
    height: 100vh;
    width: 100vw;
    background-color: rgba(0,0,0,4);
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    opacity: 0;
    pointer-events: none;
}

.my-modal.active{
    opacity: 1;
    pointer-events: all;
}

.my-modal-content {
    padding: 20px;
    margin: auto;
    background-color: rgba(40, 96, 144, 0.48);
    width: 50vw;
    transform: scale(0.5);
    transition: 0.8s transform;
}

.my-modal-content.active{
    transform: scale(1);
    transition: 0.8s all;
}

::-webkit-scrollbar {
    width: 0;
}

